# MatPartitioningScotchSetHostList

Specify host list file for mapping.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningScotchSetHostList(MatPartitioning part, const char *filename)

### Input Parameter

part -the partitioning context
file -the name of file

### Notes

The file must consist in a list of hostnames (one per line). These hosts are the ones referred to in the architecture file (see MatPartitioningScotchSetArch()): the first host corresponds to index 0, the second one to index 1, and so on.

If the name is not set, then the default "host_list" is used.

### See Also

MatPartitioningScotchSetArch(), MatPartitioningScotchSetMapping()

Level:advanced
Location: src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages